#ifndef STRING_H
#define STRING_H

/* Small c library, by Jeremy Dewey (jxd45@po.cwru.edu)
   http://www.seashellinc.com/jdewey

   Synopsis:
      strcat(char* dest, char* src)
      strcpy(char* dest, char* src)

   Description:
      strcat() -

   Example: 
      func()

   Notes:
      o notes

*/

strcat(dest, src) char *dest, *src; {
   while (*dest) dest++;
   /*
   while (*src) *dest++ = *src++;
   *dest=0;
   */
   strcpy(dest, src);
}

strcpy(dest, src) char *dest, *src; {
   while (*src) *dest++ = *src++;
   *dest=0;
}

strlen(str) char* str; {
#asm
   ld  hl,2
   add hl,sp
   call LD_HL_MHL
   call ASCIIZ_LEN
   ;I'm not sure if the value is returned in A or HL, I'll assume A
   ld l,a
   xor a
   ld h,a
#endasm
}

#endif
